Company logoTrust Center Documentation

Update knowledge-base import defaults

Document imports do not support this operation. Their defaults are restricted when the batch is created. Browse request parameters, authentication…

PATCH
/api/v1/imports/{id}

Document imports do not support this operation. Their defaults are restricted when the batch is created.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/imports/string" \  -H "Content-Type: application/json" \  -d '{    "defaults": {      "access_level": "public"    }  }'
{  "id": "string",  "state": "created",  "defaults": {    "access_level": "public"  }}

How is this guide?